Package com.smartgwt.client.types

# Enum BuildUIViaAIValidationType

java.lang.Object
java.lang.Enum<BuildUIViaAIValidationType>
com.smartgwt.client.types.BuildUIViaAIValidationType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<BuildUIViaAIValidationType>`, `Constable`

public enum BuildUIViaAIValidationType extends Enum<BuildUIViaAIValidationType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  custom validation
  `DEFAULT`
  default validation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static BuildUIViaAIValidationType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BuildUIViaAIValidationType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final BuildUIViaAIValidationType DEFAULT
    default validation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "default".

  - ### CUSTOM

    public static final BuildUIViaAIValidationType CUSTOM
    custom validation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "custom".

- ## Method Details

  - ### values

    public static BuildUIViaAIValidationType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BuildUIViaAIValidationType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`